
/**
 * Example of running multiple methods with an array.
 * 
 * @author Tobi Brodie 
 * @version Lab session 9
 */
public class ArrayMethods
{
    
    public static void main(String[]args)
    {
       //declare and initialise an array
       int[]  data = { 1, 2, 3, -4, -7 }; 
       //send array to method to print (void method so no return - method prints array)
       printArray(data);
       // print product elements by calling method within print statement
       System.out.println("Product elements: " + productElements(data));
       System.out.print("Number of elements strictly less than 0: ");
        // print count of negative numbers by calling method within print statement
       System.out.println(numberNegativeElements(data));
    }
    /*
     * Method  printArray prints out array received with space in between each element
     * 
     * @param int array anArray
     * @return No return (void)
     */
    public static void printArray(int[] anArray)
    {
        for(int i=0;i<anArray.length;i++)//loop to itirate through loop
        {
            System.out.print(anArray[i]);//prints array at index i
            if(i<anArray.length-1)//if statement to check not the last element in array
            {
                 System.out.print(" ");//print space
            }
        }
         System.out.println();//prints a line return at end of method
    }
    
    /*
     * method productElements calculates product of all elements within recieved array
     * 
     * @param  int array anArray
     * @return int product
     */
    public static int productElements(int[] anArray)
    {
        int product = 1;
        for(int i=0;i<anArray.length;i++)
        {
            product = product * anArray[i];
        }
        return product;
    }
    /*
     * Method  numberNegativeElements counts negative numbers within received array
     * 
     * @param   int array anArray
     * @return int count
     */
    public static int numberNegativeElements(int[] anArray)
    {
        int count=0;
         for(int i=0;i<anArray.length;i++)
         {
             if(anArray[i]<0)
             {
                 count++;
             }
         }
        return count;
    }
}
